<?php
/**
 * @package 	WordPress
 * @subpackage 	Galleria Metropolia
 * @version 	1.1.1
 * 
 * Gutenberg Module Fonts Rules
 * Created by CMSMasters
 * 
 */


function galleria_metropolia_gutenberg_module_fonts($custom_css = '', $is_editor = false) {
	$cmsmasters_option = galleria_metropolia_get_global_options();
	
	$editor = ($is_editor ? '.editor-styles-wrapper' : '');
	
	$custom_css .= "
/***************** Start Gutenberg Module Custom Font Styles ******************/ 

	/* Start Content Font */
	.wp-admin.post-type-post .wp-block,
	.wp-admin.post-type-post .wp-block a,
	.wp-admin.post-type-post .wp-block li,
	.wp-admin.post-type-post .wp-block-freeform {
	}
	/* Finish Content Font */
	
	/* Start H2 Font */
	{$editor} .editor-post-title__block .editor-post-title__input {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h2_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */


	/* Start Blockquote Font */
	.editor-styles-wrapper q,
	.editor-styles-wrapper blockquote,
	#wpwrap .editor-styles-wrapper .wp-block-freeform blockquote,
	#wpwrap .editor-styles-wrapper .wp-block-freeform blockquote p {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_quote_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_style'] . ";
	}

	.editor-styles-wrapper blockquote:before, 
	.editor-styles-wrapper q:before {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_quote_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_quote_font_system_font'] . ";
	}
	/* Finish Blockquote Font */
	
	
	/* Start H5 Font */
	.editor-styles-wrapper dt,
	.editor-styles-wrapper .wp-block-freeform dt {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h5_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_decoration'] . ";
	}
	
	.editor-styles-wrapper table thead th, 
	.editor-styles-wrapper table thead td {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h5_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h5_font_system_font'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_decoration'] . ";
		letter-spacing:0;
	}

	.editor-styles-wrapper dt,
	.editor-styles-wrapper .wp-block-freeform dt {
		line-height:" . ((int) $cmsmasters_option['galleria-metropolia' . '_h5_font_line_height'] + 6) . "px;
	}
	/* Finish H5 Font */
	
	
	/* Start Text Fields Font */
	.editor-styles-wrapper code,
	.editor-styles-wrapper .wp-block-freeform code {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_input_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_style'] . ";
	}
	/* Finish Text Fields Font */
	
	
	/* Start Blockquote Font */
	.editor-styles-wrapper .wp-block-quote a,
	.editor-styles-wrapper .wp-block-quote code,
	#wpwrap .editor-styles-wrapper blockquote a,
	#wpwrap .editor-styles-wrapper blockquote code,
	.editor-styles-wrapper q,
	#wpwrap .editor-styles-wrapper .wp-block-quote,
	#wpwrap .editor-styles-wrapper .wp-block-quote p {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_quote_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_style'] . ";
	}

	#wpwrap #wpcontent .editor-styles-wrapper .wp-block-quote a,
	#wpwrap #wpcontent .editor-styles-wrapper blockquote a,
	#wpwrap #wpcontent .editor-styles-wrapper .wp-block-quote a > *,
	#wpwrap #wpcontent .editor-styles-wrapper blockquote a > * {
		font-weight:600;
	}
	/* Finish Blockquote Font */

	.editor-styles-wrapper dt {
		letter-spacing: 0.1em;
	}

	.editor-styles-wrapper dd {
		letter-spacing: 0px;
	}



/***************** Finish Gutenberg Module Custom Font Styles ******************/





/***************** Start Gutenberg Module General Font Styles ******************/

	/* Start Content Font */
	body .editor-styles-wrapper,
	body {$editor} .editor-styles-wrapper p,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce .gallery .gallery-caption,
	{$editor} p.has-drop-cap:not(:focus)::first-letter,
	{$editor} .wp-block-image figcaption,
	{$editor} .wp-block-gallery .blocks-gallery-image figcaption,
	{$editor} .wp-block-gallery .blocks-gallery-item figcaption,
	{$editor} .wp-block-gallery .gallery-item .gallery-caption,
	{$editor} .wp-block-audio figcaption,
	{$editor} .wp-block-video figcaption,
	{$editor} .wp-caption dd,
	{$editor} div.wp-block ul,
	{$editor} div.wp-block ul > li,
	{$editor} div.wp-block ol,
	{$editor} div.wp-block ol > li,
	{$editor} .wp-block-latest-comments.has-avatars .wp-block-latest-comments__comment-meta, 
	{$editor} .wp-block-latest-comments .wp-block-latest-comments__comment-meta,
	{$editor} .wp-block-latest-comments.has-avatars .wp-block-latest-comments__comment-excerpt p, 
	{$editor} .wp-block-latest-comments .wp-block-latest-comments__comment-excerpt p,
	{$editor} .wp-block-freeform,
	{$editor} .wp-block-freeform p,
	{$editor} .wp-block-freeform.mce-content-body {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_content_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_content_font_font_style'] . ";
	}
	
	{$editor} .wp-caption dd,
	{$editor} .wp-caption dd a {
		font-size:" . ((int)$cmsmasters_option['galleria-metropolia' . '_content_font_font_size'] - 4 ) . "px;
		line-height:" .((int)$cmsmasters_option['galleria-metropolia' . '_content_font_line_height'] - 8) . "px;
	}
	
	{$editor} p.has-drop-cap:not(:focus)::first-letter {
		font-size:3em;
		line-height:1.2em;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	.editor-styles-wrapper a,
	.editor-styles-wrapper .wp-block-file .wp-block-file__textlink .editor-rich-text__tinymce {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_link_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_link_font_text_decoration'] . ";
	}
	/* Finish Link Font */
	
	
	/* Start H1 Font */
	body .editor-styles-wrapper h1,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h1,
	.editor-post-title__block .editor-post-title__input {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h1_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h1_font_text_decoration'] . ";
	}
	/* Finish H1 Font */
	
	
	/* Start H2 Font */
	body .editor-styles-wrapper h2,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h2,
	{$editor} h2.editor-rich-text__tinymce,
	{$editor} .wp-block-cover h2, 
	{$editor} .wp-block-cover .wp-block-cover-image-text, 
	{$editor} .wp-block-cover-image h2, 
	{$editor} .wp-block-cover-image .wp-block-cover-text, 
	{$editor} .wp-block-cover-image .wp-block-cover-image-text {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h2_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h2_font_text_decoration'] . ";
	}
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	body .editor-styles-wrapper h3,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h3 {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h3_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h3_font_text_decoration'] . ";
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */
	body .editor-styles-wrapper h4,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h4 {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h4_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h4_font_text_decoration'] . ";
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	body .editor-styles-wrapper h5,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h5 {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h5_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h5_font_text_decoration'] . ";
	}
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	body .editor-styles-wrapper h6,
	.editor-styles-wrapper .wp-block-freeform.block-library-rich-text__tinymce h6 {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_h6_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['galleria-metropolia' . '_h6_font_text_decoration'] . ";
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	{$editor} .wp-block-button .wp-block-button__link,
	{$editor} .wp-block-file .wp-block-file__button {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_button_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_button_font_text_transform'] . ";
	}
	/* Finish Button Font */
	
	
	/* Start Small Text Font */
	.editor-styles-wrapper small,
	{$editor} .wp-block-latest-posts .wp-block-latest-posts__post-date,
	{$editor} .wp-block-latest-comments .wp-block-latest-comments__comment-date {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_small_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['galleria-metropolia' . '_small_font_text_transform'] . ";
	}
	/* Finish Small Text Font */
	
	
	/* Start Text Fields Font */
	.editor-styles-wrapper select,
	.editor-styles-wrapper option {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_input_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_input_font_font_style'] . ";
	}
	
	.editor-styles-wrapper select {
		line-height:1em;
	}
	/* Finish Text Fields Font */
	
	
	/* Start Blockquote Font */
	{$editor} .wp-block-quote,
	{$editor} .wp-block-quote.is-large,
	{$editor} .wp-block-quote.is-style-large,
	{$editor} .wp-block-pullquote,
	.editor-styles-wrapper .wp-block-freeform blockquote,
	.editor-styles-wrapper .wp-block-freeform blockquote p {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_quote_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_style'] . ";
	}
	
	{$editor} .wp-block-quote.is-large,
	{$editor} .wp-block-quote.is-style-large {
		font-size:" . ((int) $cmsmasters_option['galleria-metropolia' . '_quote_font_font_size'] + 4) . "px;
		line-height:" . ((int) $cmsmasters_option['galleria-metropolia' . '_quote_font_line_height'] + 4) . "px;
	}
	
	{$editor} .wp-block-pullquote {
		font-size:" . ((int) $cmsmasters_option['galleria-metropolia' . '_quote_font_font_size'] - 4) . "px;
		line-height:" . ((int) $cmsmasters_option['galleria-metropolia' . '_quote_font_line_height'] - 4) . "px;
	}
	
	.editor-styles-wrapper q {
		font-family:" . galleria_metropolia_get_google_font($cmsmasters_option['galleria-metropolia' . '_quote_font_google_font']) . $cmsmasters_option['galleria-metropolia' . '_quote_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['galleria-metropolia' . '_quote_font_font_style'] . ";
	}
	/* Finish Blockquote Font */

/***************** Finish Gutenberg Module General Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('galleria_metropolia_theme_fonts_filter', 'galleria_metropolia_gutenberg_module_fonts');

